<div id="body" class="container-fluid">
  <h6>Currency List</h6>
  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="curId" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                >
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column dataField="curId" caption="Currency ID" dataType="string" [minWidth]="100"></dxi-column>
    <dxi-column dataField="curNme" caption="Currency Name" dataType="string" [minWidth]="150"></dxi-column>
    <dxi-column dataField="curCnvrsnFctrFromUsdQty" caption="Conversion Rate"
                dataType="number" alignment="left" [minWidth]="100"></dxi-column>
    <dxi-column dataField="creatDt" cellTemplate="localStartTime" caption="Effective Date"
                dataType="string" [minWidth]="150"></dxi-column>
    <div *dxTemplate="let cell of 'localStartTime'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
  </dx-data-grid>
</div>
<style>
  .dx-toolbar-items-container {
    visibility: visible;
    height: 42px !important;
    /*border-bottom: none;*/
  }
</style>
